package com.sunyard.chsm.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sunyard.chsm.dto.DeviceDTO;
import com.sunyard.chsm.dto.TmkStatus;

import java.util.List;

/**
 * @author liulu
 * @since 2024/10/17
 */
public interface DeviceService {
    Page<DeviceDTO.DeviceView> selectPageList(DeviceDTO.Query query);

    List<DeviceDTO.DeviceView> getUngroupedList();

    DeviceDTO.Detail getDetailById(Long id);

    Long save(DeviceDTO.DeviceSave save);

    void update(DeviceDTO.DeviceSave update);

    void delete(Long id);

    TmkStatus getTMKStatus();

    void initTmk();
}
